
QGIS Application - Bug report #8553

Diagrams: Automated placement settings are not saved or loaded in the project file

2013-09-02 01:28 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17303

Description

Steps to reproduce:

1.

Set "automated placement settings" (Diagrams --> Position tab --> Automated Placement Settings) - e.g. checkbox "Show all labels and

features for all layers ..."

2.

Save project

3.

Load project

Result: setting that was saved before is gone. Either it is not saved or not loaded from the project correctly.

History

#1 - 2013-09-03 12:01 AM - Matthias Kuhn

- Category changed from Symbology to Labelling

There is a (rather unintuitive) checkbox "save settings to project" at the bottom.

IMO this could be totally removed, or at least positioned more prominently.

#2 - 2013-09-03 12:02 AM - Matthias Kuhn

- Priority changed from Severe/Regression to Normal

- Assignee deleted (Matthias Kuhn)

#3 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#4 - 2015-06-09 06:45 PM - Nyall Dawson

- Status changed from Open to Feedback

Is this still an issue?
#5 - 2015-06-12 06:18 AM - Andreas Neumann

- Resolution set to worksforme

- Status changed from Feedback to Closed

All seems to be fine in current master. We can close this issue.

Thanks,

Andreas
